summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorVanessa Valderrama <vvalderrama@linuxfoundation.org>2023-08-15 19:01:09 +0000
committerGerrit Code Review <gerrit@fd.io>2023-08-15 19:01:09 +0000
commit2201be2d03e9eefd85b6fe77209c2559930cc7cc (patch)
tree8469ef8977693d90e34d4389e513e7c01fa48a3d /jjb
parent54c15d580c3bfb30b2dbddd3dbd471f7eff8211d (diff)
parent7b4321b0bb2ce96fc2dd64e975f1afb3bc7884a3 (diff)
Merge "vpp checkstyle: verify dpdk/rdma-core matrix"
Diffstat (limited to 'jjb')
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/checkstyle.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/checkstyle.sh b/jjb/scripts/vpp/checkstyle.sh
index 55aa62a5..00fc8bdb 100644..100755
--- a/jjb/scripts/vpp/checkstyle.sh
+++ b/jjb/scripts/vpp/checkstyle.sh
@@ -15,6 +15,25 @@
echo "---> jjb/scripts/vpp/checkstyle.sh"
+# If mlx_rdma_dpdk_matrix.txt file has been updated in the current changeset,
+# verify the current rdma-core_version and dpdk_version exist in the matrix
+# file
+LINE="*******************************************************************"
+BUILD_EXT_DIR="build/external"
+MATRIX_FILE="$BUILD_EXT_DIR/mlx_rdma_dpdk_matrix.txt"
+PKGS_DIR="$BUILD_EXT_DIR/packages"
+if git show --stat | grep -q "$MATRIX_FILE" ; then
+ RDMA_CORE_VERSION="$(grep rdma-core_version $PKGS_DIR/rdma-core.mk | grep -v '(' | mawk '{print $3}')"
+ DPDK_VERSION="$(grep dpdk_version $PKGS_DIR/dpdk.mk | grep -v '(' | mawk '{print $3}')"
+ CURRENT_MATRIX="rdma=$RDMA_CORE_VERSION dpdk=$DPDK_VERSION"
+ if grep -q "$CURRENT_MATRIX" "$MATRIX_FILE"; then
+ echo -e "$LINE\n* DPDK/RDMA-CORE matrix file update successfully verified\n$LINE"
+ else
+ echo -e "$LINE\n* ERROR: 'rdma=$RDMA_CORE_VERSION dpdk=$DPDK_VERSION' not found in $MATRIX_FILE!\n$LINE"
+ exit 1
+ fi
+fi
+
if [ -n "$(grep -E '^checkstyle:' Makefile)" ]
then
make checkstyle